# $Revision: 1.8.2.1 $, $Date: 2003/03/13 00:58:18 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	SMTP-Multipart
Summary:	Net::SMTP::Multpiart perl module
Summary(cs):	Modul Net::SMTP::Multipart pro Perl
Summary(da):	Perlmodul Net::SMTP::Multipart
Summary(de):	Net::SMTP::Multipart Perl Modul
Summary(es):	Mdulo de Perl Net::SMTP::Multipart
Summary(fr):	Module Perl Net::SMTP::Multipart
Summary(it):	Modulo di Perl Net::SMTP::Multipart
Summary(ja):	Net::SMTP::Multipart Perl ⥸塼
Summary(ko):	Net::SMTP::Multipart  
Summary(no):	Perlmodul Net::SMTP::Multipart
Summary(pl):	Modu perla Net::SMTP::Multipart
Summary(pt_BR):	Mdulo Perl Net::SMTP::Multipart
Summary(pt):	Mdulo de Perl Net::SMTP::Multipart
Summary(ru):	  Perl Net::SMTP::Multipart
Summary(sv):	Net::SMTP::Multipart Perlmodul
Summary(uk):	  Perl Net::SMTP::Multipart
Summary(zh_CN):	Net::SMTP::Multipart Perl ģ
Name:		perl-Net-SMTP-Multipart
Version:	1.5
Release:	1
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.005
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module uses the Net::SMTP and Mime::Base64 modules to compose and
send multipart mail messages. It uses the Net::SMTP methods, but
simplifies formatting of multipart messages using its internal methods
Header, Text, FileAttach and End.

%description -l pl
Ten modu uywa Net::SMTP i Mime::Base64 do komponowania i wysyania
wieloczciowych wiadomoci e-mail. Uywa metod Net::SMTP, ale
upraszcza komponowanie wieloczciowych wiadomoci przez udostpnianie
swoich wewntrznych metod: Header, Text, FileAttach i End.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
#%%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/Net/SMTP/Multipart.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Net-SMTP-Multipart.spec,v $
Revision 1.8.2.1  2003/03/13 00:58:18  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.8  2003/02/28 10:08:27  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.7  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:37:14  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/11/20 12:24:47  mis
- autoupdated to 1.5

Revision 1.4  2002/08/02 10:05:05  ankry
- %%{perl_sitelib}/Net/SMTP moved to perl
- release 3

Revision 1.3  2002/08/01 12:34:01  ankry
- added %%{perl_sitelib}/Net/SMTP dir
- cleaning, adapterized
- release 2

Revision 1.2  2002/07/25 23:59:08  radek
- added CVS Date field in the first line

Revision 1.1  2002/07/22 16:14:06  radek
- new, STBR
